### Type parameters

- #### Key

- #### Value

### Hierarchy

- LruCache

## Index

### Constructors

- constructor

### Methods

- get

## Constructors

### constructor

- new LruCache(maxSize: number): LruCache

- - Defined in lruCache.ts:4

  #### Parameters

  - ##### maxSize: number

  #### Returns LruCache

## Methods

### get

- get(key: Key, valueFn: function): Value

- - Defined in lruCache.ts:9

  #### Parameters

  - ##### key: Key

  - ##### valueFn: function

    - - (): Value

      - #### Returns Value

Generated using TypeDoc